<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <title>Pre Academy - leonardo.rodriguez</title>
<!--
Neaty HTML Template
http://www.templatemo.com/tm-501-neaty
-->
    <!-- load stylesheets -->
    <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Open+Sans:300,400">  <!-- Google web font "Open Sans" -->
    <link rel="stylesheet" href="css/bootstrap.min.css">                                      <!-- Bootstrap style -->
    <link rel="stylesheet" href="css/magnific-popup.css">                                <!-- Magnific pop up style, http://dimsemenov.com/plugins/magnific-popup/ -->
    <link rel="stylesheet" href="css/templatemo-style.css">                                   <!-- Templatemo style -->

    <!-- HTML5 shim and Respond.js for IE8 support of HTML5 elements and media queries -->
    <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
        <!--[if lt IE 9]>
          <script src="https://oss.maxcdn.com/html5shiv/3.7.2/html5shiv.min.js"></script>
          <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
          <![endif]-->
</head>
    <body>        
        <div class="container">
            <div class="row">
                <div class="tm-left-right-container">
                    <!-- Left column: logo and menu -->
                    <div class="tm-blue-bg tm-left-column">                        
                        <div class="tm-logo-div text-xs-center">
                            <img src="img/tm-neaty-logo.png" alt="Logo">
                            <h1 class="tm-site-name">LeoRG81</h1>
                        </div>
                        <nav class="tm-main-nav">
                            <ul class="tm-main-nav-ul">
                                <li class="tm-nav-item">
                                    <a href="#welcome" class="tm-nav-item-link">Bienvenido</a>
                                </li>
                                <li class="tm-nav-item">
                                    <a href="#about" class="tm-nav-item-link">Acerca de mi</a>
                                </li>
                                 <li class="tm-nav-item">
                                    <a href="#galleryzero" class="tm-nav-item-link"> Módulo 0</a>
                                </li>
                                <li class="tm-nav-item">
                                    <a href="#galleryone" class="tm-nav-item-link"> Módulo 1</a>
                                </li>
                                <li class="tm-nav-item">
                                    <a href="#secondgallery" class="tm-nav-item-link">Módulo 2</a>
                                </li>
                                <li class="tm-nav-item">
                                    <a href="#thirdgallery" class="tm-nav-item-link"> Módulo 3</a>
                                </li>
                                <li class="tm-nav-item">
                                    <a href="#fourgallery" class="tm-nav-item-link">Módulo 4</a>
                                </li>
                                <li class="tm-nav-item">
                                    <a href="#fivegallery" class="tm-nav-item-link">Módulo 5</a>
                                </li>
                                <li class="tm-nav-item">
                                    <a href="#sixgallery" class="tm-nav-item-link">Módulo 6</a>
                                </li>
                                <li class="tm-nav-item">
                                    <a href="#descargas" class="tm-nav-item-link">Descargas</a>
                                </li>
                            </ul>
                        </nav>                                         
                    </div> <!-- Left column: logo and menu -->
                    
                    <!-- Right column: content -->
                    <div class="tm-right-column">
                        <figure>
                            <img src="img/neaty-01.jpg" alt="Header image" class="img-fluid">    
                        </figure>

                        <div class="tm-content-div">
                            <!-- Welcome section -->
                            <section id="welcome" class="tm-section">
                                <header>
                                    <h2 class="tm-blue-text tm-welcome-title tm-margin-b-45">Bienvendio al sitio de Proyectos l2r</h2>
                                </header>
                                <p>En este sitio se desarrollan las etapas para la creación de un prototipo de generador eólico. Se trata de un taller FABLAB donde hemos propuesto esta idea y se nos ha guiado para implementarla.</p>
                            </section>
                            <!-- About section -->
                            <section id="about" class="tm-section">
                                <div class="row">                                                                
                                    <div class="col-lg-8 col-md-7 col-sm-12 col-xs-12 push-lg-4 push-md-5">
                                        <header>
                                            <h2 class="tm-blue-text tm-section-title tm-margin-b-45">Acerca de Mi</h2>
                                        </header>
                                        <p>Soy Leonardo Rodríguez un estudiante de UTEC de la carrera Licenciatura en Tecnologías de la Información. Tengo 38 años (he retomado los estudios) y trabajo como técnico informático en la intendencia de Río Negro - Uruguay. </p>
                                       
                                    </div>

                                    <div class="col-lg-4 col-md-5 col-sm-12 col-xs-12 pull-lg-8 pull-md-7 tm-about-img-container">
                                        <img src="img/neaty-02.jpg" alt="Image" class="img-fluid">    
                                    </div>  
                                </div>                            
                            </section>  

                            <!-- Gallery One section -->     
                            <section id="galleryzero" class="tm-section">
                                <header><h2 class="tm-blue-text tm-section-title tm-margin-b-30"> Módulo 0 - Idea del Proyecto</h2></header>
                                <div class="tm-gallery-container tm-gallery-1">
                                     </header>
                                <p>Como idea de proyecto planteamos construir un generador eólico con un sistema digital de control de carga y monitorización.</p>
                                <p>Originalmente la idea fue algo ambiciosa pues pensabamos controlar la carga de al menos 2 baterías, gestionando la carga y el uso de forma de usar habilitar el uso de las más cargada y en presencia de buen y constante viento (actividad en el molino) cargar la bateria con menos carga.</p>
                                
                                
                                    <div class="tm-img-container tm-img-container-0">
                                        <a href="img/esquemaIDEA.jpg"><img src="img/esquemaIDEA.jpg" alt="Image" class="img-fluid tm-img-tn"></a>    
                                    </div>
                                    
                                                                       
                                </div>
                            <p> </p>
                            
                            
                            </section>
                        
                            <section id="galleryone" class="tm-section">
                                <header><h2 class="tm-blue-text tm-section-title tm-margin-b-30"> Módulo 1 - Gestión del proyecto - Gitlab</h2></header>
                                <div class="tm-gallery-container tm-gallery-1">
                                     </header>
                                <p>En este módulo hemos conocido una herramienta para el trabajo colaborativo y el contról de versiones de código. Trabajamos con Gitlab, aqui volcamos el codigo de nuestro sitio web e iremos actualizandolo con los avances del laboratorio</p>
                                                    
                                    <div class="tm-img-container tm-img-container-0">
                                        <a href="img/gitlab.png"><img src="img/gitlab.png" alt="Image" class="img-fluid tm-img-tn"></a>    
                                    </div>
                                
                                <p>Gitlab es un servicio web de control de versiones y desarrollo de software colaborativo basado en Git. Además de gestor de repositorios, el servicio ofrece también alojamiento de wikis y un sistema de seguimiento de errores, todo ello publicado bajo una Licencia de código abierto.</p>
                                
                                    <div class="tm-img-container tm-img-container-0">
                                        <a href="img/d.png"><img src="img/d.png" alt="Image" class="img-fluid tm-img-tn"></a>    
                                    </div>
                                
                                    
                                
                                                                       
                                </div>
                           
                            
                            
                            </section>

                            <!-- Second Gallery section -->     
                            <section id="secondgallery" class="tm-section">
                                <header><h2 class="tm-blue-text tm-section-title tm-margin-b-30">Módulo 2 - Gestión de proyectos / Html</h2></header>
                                
                                <p>En este segundo modulo empezamos a elaborar el sitio web donde publicaremos el proyecto. Se trata de incursionar en el lenguaje html, temas .css y java script.</p>
                                
                                <p>Aqui conocí Brackets, un editor de código muy práctico para el desarrollo web</p>
                                
                                <div class="tm-gallery-container tm-gallery-2">
                                    <div class="tm-img-container tm-img-container-2">
                                        <a href="img/neaty-05.jpg"><img src="img/neaty-05.jpg" alt="Image" class="img-fluid tm-img-tn"></a>    
                                    </div>
                                    <div class="tm-img-container tm-img-container-2">
                                        <a href="img/neaty-04.jpg"><img src="img/neaty-04.jpg" alt="Image" class="img-fluid tm-img-tn"></a>    
                                    </div>
                                   
                                    <p>Luego de leer algo de html y css, decidí trabajar sobre un template gratuito, dado que no contamos con mucho tiempo para elaborar un sitio algo mas vistoso. Por esto va el agradecimiento a Neatly por su template!</p>
                                

                            <!-- Third Gallery section -->     
                            <section id="thirdgallery" class="tm-section">
                                <header><h2 class="tm-blue-text tm-section-title tm-margin-b-30"> Módulo 3 - Computer-Aided Design (CAD)</h2></header>
                                <p>En este tercer modulo trabajamos en el bosquejado y modelado con software de diseño 3d y 2d CAD.</p>
                                <p>Dado que contamos con una placa de fenolico laminado de 1 cm de espesor hemos cambiado un poco el modelo original. En las siguientes imagens se podrá apreciar el prototipo de generador eólico vertical.</p>
                                <p>Para el corte de las piezas dispusimos de un torno cnc router de 3 ejes pero en el material disponible las frezas no trabajan bien los relieves por lo que elaborarmos un plano 2D en QCad</p>

                                
                                <div class="tm-gallery-container tm-gallery-2">
                                    <div class="tm-img-container tm-img-container-2">
                                        <a href="img/molino.jpg"><img src="img/molino.JPG" alt="Image" class="img-fluid tm-img-tn"></a>    
                                    </div>
                                    <div class="tm-img-container tm-img-container-2">
                                        <a href="img/qcad.jpg"><img src="img/qcad.jpg" alt="Image" class="img-fluid tm-img-tn"></a>    
                                    </div>
                                    <div class="tm-img-container tm-img-container-2">
                                        <a href="img/plano2DMolino.JPG"><img src="img/plano2DMolino.JPG" alt="Image" class="img-fluid tm-img-tn"></a>    
                                    </div>
                                                                      
                                </div>
                            </section>
                            </section>
                            
                            <!-- Four Gallery section -->     
                            <section id="fourgallery" class="tm-section">
                                <header><h2 class="tm-blue-text tm-section-title tm-margin-b-30">Módulo 4 - 3D PRINT    </h2></header>
                                
                                <p>Llegamos al cuarto modulo donde hemos aprendido a usar impresoras 3d y herramientas para el modelado de las piezas en formato .stl</p>
                                <p>Para el prototipo elegido se sisañaron piezas para el amarre de las astas al eje de giro. Hemos trabajado en Blender para esta tarea.</p>
                                <div class="tm-gallery-container tm-gallery-3">
                                    <div class="tm-img-container tm-img-container-2">
                                        <a href="img/tapaCentro.JPG"><img src="img/tapaCentro.JPG" alt="Image" class="img-fluid tm-img-tn"></a>    
                                    </div>
                                    <div class="tm-img-container tm-img-container-2">
                                        <a href="img/blender.png"><img src="img/blender.png" alt="Image" class="img-fluid tm-img-tn"></a>
                                    </div>
                                </div>
                                    <p> Blender es un programa informático multi plataforma, dedicado especialmente al modelado, iluminación, renderizado, animación y creación de gráficos tridimensionales. También de composición digital utilizando la técnica procesal de nodos, edición de vídeo, escultura y pintura digital.</p>                                      
                                
                            </section>
                            
                            <!-- Five Gallery section -->     
                            <section id="fivegallery" class="tm-section">
                                <header><h2 class="tm-blue-text tm-section-title tm-margin-b-30"> Módulo 5 - CNC Milling</h2></header>
                                
                                <p> Nuevamente trabajando con un torno CNC. Esta vez usaremos uno de menor escala para crear la placa del circuitoimpreso.</p>
                                
                                <p> En el prototipo no llegamos a crear esta placa por algunos retrasos en las actividades anteriores pero quien quiera podra descargar el circuito impreso para rutearlo o quemarlo con hiperclouro ferroso</p>
                                
                                <p> Para crear el circuito y emular el funcionamiento del control digital del prototipo usamos la herramienta software Frizing</p>
                                
                                <p> Fritzing es un programa libre de automatización de diseño electrónico que busca ayudar a diseñadores y artistas para que puedan pasar de prototipos a productos finales</p>
                                
                                <div class="tm-gallery-container tm-gallery-3">
                                    <div class="tm-img-container tm-img-container-2">
                                        <a href="img/frizing.png"><img src="img/frizing.png" alt="Image" class="img-fluid tm-img-tn"></a>    
                                    </div>
                                    <div class="tm-img-container tm-img-container-2">
                                        <a href="img/EsquemaDispositivoControl.png"><img src="img/EsquemaDispositivoControl.png" alt="Image" class="img-fluid tm-img-tn"></a>
                                    </div>
                                                                       
                                </div>
                            </section>
                    
                    <!-- Six Gallery section -->     
                            <section id="sixgallery" class="tm-section">
                                <header><h2 class="tm-blue-text tm-section-title tm-margin-b-30"> Módulo 6 - Programación con Arduino</h2></header>
                                
                                <p> Llegamos a un tema de gran interes general, programar microcontroladores ATMEL328 con Arduino uno R3.</p>
                                
                                <p> El código que hemos desarrollado para el dispositivo de control cuenta con las siguentes funciones:
                                    -Tacómetro
                                    -Medición de carga de baterias
                                    -Control de relay para habilitar carga en la batería
                                    -Manejo de display 16 x 2
                                </p>
                                
                                <p> Tacómetro: Trabajamos con interrupciones para hacer mas eficiente el sistema. De esta manera no se estan controlando las vueltas ocupando el procesador en este punto, si no que en cada giro o activación del sensor reed switch, este genera interupciones y el micro llama a la función que la procesará. La finalidad del Tacómetro es para una medición indirecta del voltaje que se esta generando. Si el giro es bueno y constante se activará el Relay</p>
                                
                                <p> Para la medición de carga de la bateria contamos con un modulo FZ0430. Este módulo es basicamente un divisor de voltajes. La medicion del voltaje en una de ellas será menor a 5Vdc y tiene una relación de 1 a 5 respecto al voltaje real. Esta señal la conectamos al pin A1 analógico  del Atmel328, luego harán los calculos para tener la carga de la batería y desplegar este dato en el display.</p>
                                
                                
                                 <p>En el display 16x2 tendrémos las revoluciones de giro que tiene el molino, estado del actividad (Carga: ON/OFF) y carga de la batería.</p>
                                
                                <p>En el punto Descargas podrá tener acceso al codigo.</p>
                                
                                <div class="tm-gallery-container tm-gallery-0">
                                    <div class="tm-img-container tm-img-container-0">
                                        <a href="img/arduino.png"><img src="img/arduino.png" alt="Image" class="img-fluid tm-img-tn"></a>    
                                                                      
                                </div>
                                
                                <p>Arduino es una compañía de desarrollo de software y hardware libres, así como una comunidad internacional que diseña y manufactura placas de desarrollo de hardware para construir dispositivos digitales y dispositivos interactivos que puedan detectar y controlar objetos del mundo real.</p>
                            </section>

                            <!-- Descargas  -->
                            <section id="descargas" class="tm-section">
                                <header><h2 class="tm-blue-text tm-section-title tm-margin-b-30">Descargas</h2></header>

                                <div class="row">
                                    <div class="col-lg-6">
                                        <form action="#descargas" method="post" class="contact-form">
                                                               
                                            
                                             <a href="img/FABLAB.zip" class="tm-button tm-button-wide">Descargar zip</a>  
                                        </form>    
                                    </div>
                                    
                                    <div class="col-lg-6 tm-contact-right">
                                        <p>
                                        El archivo contiene el código para el ATMEL 328, equema del circuito, planos de corte para aspas y discos de sujeción (.DFX), archivo de platos centrales para sujetar molino al eje de giro (.STL).    
                                        </p>
                                        <address>
                                        </address>
                                    </div>
                                </div>
                                
                            </section>
                            <footer>
                                <p class="tm-copyright-p">Copyright &copy; <span class="tm-current-year">2017</span> Aprendiendo a reciclar</p>
                            </footer>
                        </div>  
                        
                    </div> <!-- Right column: content -->
                </div>
            </div> <!-- row -->
        </div> <!-- container -->
                
        <!-- load JS files -->
        <script src="js/jquery-1.11.3.min.js"></script>             <!-- jQuery (https://jquery.com/download/) -->
        <script src="js/jquery.magnific-popup.min.js"></script>     <!-- Magnific pop-up (http://dimsemenov.com/plugins/magnific-popup/) -->
        <script src="js/jquery.singlePageNav.min.js"></script>      <!-- Single Page Nav (https://github.com/ChrisWojcik/single-page-nav) -->
        <script>     
       
            $(document).ready(function(){

                // Single page nav
                $('.tm-main-nav').singlePageNav({
                    'currentClass' : "active",
                    offset : 20
                });

                // Magnific pop up
                $('.tm-gallery-1').magnificPopup({
                  delegate: 'a', // child items selector, by clicking on it popup will open
                  type: 'image',
                  gallery: {enabled:true}
                  // other options
                }); 

                $('.tm-gallery-2').magnificPopup({
                  delegate: 'a', // child items selector, by clicking on it popup will open
                  type: 'image',
                  gallery: {enabled:true}
                  // other options
                }); 

                $('.tm-gallery-3').magnificPopup({
                  delegate: 'a', // child items selector, by clicking on it popup will open
                  type: 'image',
                  gallery: {enabled:true}
                  // other options
                }); 

                $('.tm-current-year').text(new Date().getFullYear());                
            });
        </script>             
</body>
</html>